Supporting codes for the paper: Model Predictive Control of bioreactors based on the Escherichia coli core metabolic network model.

The paper describes the application of Model Predictive Control (MPC) to a continuous stirred tank bioriactor using the Dynamic Flux Balance Analysis (dFBA) model of the Escherichia coli core metabolism.
The goal is to compare the KKT and duality theory reformulations of the MPC-controll and dFBA models regarding computation time and reliability. 
Please refer to the paper for further information.


Case study:

The case study is performed with the Escherichia coli core metabolic network model.
The stoichiometric matrix (S), the c vector, the lower bound vector (LB), and the upper bound vector (UB) of the Escherichia coli, strain K-12 substrain MG1655, core metabolism are gathered from the database BiGG Models.


Julia and packages versions:

Julia: 1.8.5
Blink: v0.12.6
DifferentialEquations: v7.7.0
Distributions: v0.25.87
Ipopt: v1.2.1
JuMP: v1.10.0
PlotlyJS: v0.18.10
Plots: v1.38.9
TimerOutputs: v0.5.22
Trebuchet: v0.2.2 

The IPOPT solver used the MA97 linear solver from "HSL(2013). A collection of Fortran codes for large scale scientific computation. http://www.hsl.rl.ac.uk".
