# include("SS-model/main - X.jl")

import Ipopt, JuMP, Plots, DifferentialEquations

include("E. coli core/E_coli_Model.jl")
include("init.jl")

include("Methods/PDuality X.jl")

X = 0.5

# Initialize model:
mod = E_coli_Model_init # E. coli model - core metabolism
changeRxnBounds(mod, "EX_o2(e)", v_omax , "l")

display("P. Dual")
G_PDual, X_PDual, A_PDual, D = PDual(mod, G_0, X_0, A_0, K_g, v_gmax, X)

display(G_PDual)
display(X_PDual)
display(A_PDual)
display(D)